curl --request GET \
--url https://service-sandbox.tazapay.com/v3/metadata/collection_accounts/wallets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/metadata/collection_accounts/wallets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/metadata/collection_accounts/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": [
{
"payment_method_type": "stablecoin_usdt",
"type": [
"Ethereum",
"Tron"
],
"limit": {
"minimum": {
"amount": 10,
"ccy": "USD"
},
"maximum": {
"amount": 500000,
"ccy": "USD"
},
"currency": "USD"
},
"on_behalf_of": {
"support": true,
"restricted_industry_verticals": [
"gambling",
"firearms"
],
"additional_requirements": [
"entity_approval_required"
],
"restricted_remitter_countries": [
"KP"
],
"restricted_account_holder_countries": [
"RU",
"IR"
]
},
"setup_time": "instant"
},
{
"payment_method_type": "stablecoin_usdc",
"type": [
"Ethereum",
"Solana",
"Algorand",
"Arbitrum",
"Avalanche",
"Base",
"Flow",
"Hedera",
"Near",
"Noble",
"Polkadot",
"Polygon Pos",
"Stellar",
"Binance",
"Op Mainnet"
],
"limit": {
"minimum": {
"amount": 10,
"ccy": "USD"
},
"maximum": {
"amount": 500000,
"ccy": "USD"
},
"currency": "USD"
},
"on_behalf_of": {
"support": true,
"restricted_industry_verticals": [
"crypto",
"adult_content"
],
"additional_requirements": [
"entity_submission_required"
],
"restricted_remitter_countries": [
"US",
"CN"
],
"restricted_account_holder_countries": [
"RU",
"BY",
"KP"
]
},
"setup_time": "instant"
}
]
}Get Wallet Metadata
Returns metadata about the stablecoin wallets that can be created for a given entity. Use this to discover available blockchains, limits, compliance requirements, and on_behalf_of support.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Country in which the account is to be opened (ISO 3166 alpha-2).
Currencies in ISO format.
Entity identifier. Set entity id to get wallet capabilities available for this particular entity. Capabilities not available for this entity wil be filtered out.
Set to true to get metadata for an on_behalf_of merchant. Set to false for a direct merchant.
Response
Wallet metadata for the given filters.
List of wallet capabilities available for the given filters.
Show child attributes
Show child attributes
Was this page helpful?
